# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Attributes | List of all members
DBus::RefPtr< T > Class Template Reference

`#include <util.h>`

Inheritance diagram for DBus::RefPtr< T >:

## Public Member Functions

| RefPtr (T *ptr=0)
| ~RefPtr ()
RefPtr & | operator= (const RefPtr &ref)
T & | operator* () const
T * | operator-> () const
T * | get () const

## Private Attributes

T * | __ptr
RefCnt | __cnt

## Detailed Description

template<class T>
class DBus::RefPtr< T >

Definition at line 159 of file util.h.

## Constructor & Destructor Documentation

## ◆ RefPtr()

template<class T>

DBus::RefPtr< T >::RefPtr | ( | T * | ptr = 0 | ) |

inline

Definition at line 163 of file util.h.

References __ptr.

Referenced by operator=().

## ◆ ~RefPtr()

template<class T>

DBus::RefPtr< T >::~RefPtr | ( |  | ) |

inline

Definition at line 167 of file util.h.

References __cnt, and __ptr.

## Member Function Documentation

## ◆ get()

template<class T>

T * DBus::RefPtr< T >::get | ( |  | ) | const

inline

Definition at line 196 of file util.h.

References __cnt, and __ptr.

## ◆ operator*()

template<class T>

T & DBus::RefPtr< T >::operator* | ( |  | ) | const

inline

Definition at line 184 of file util.h.

References __ptr.

## ◆ operator->()

template<class T>

T * DBus::RefPtr< T >::operator-> | ( |  | ) | const

inline

Definition at line 189 of file util.h.

References __cnt, and __ptr.

## ◆ operator=()

template<class T>

RefPtr & DBus::RefPtr< T >::operator= | ( | const RefPtr< T > & | ref | ) |

inline

Definition at line 172 of file util.h.

References __cnt, __ptr, and RefPtr().

## Member Data Documentation

## ◆ __cnt

template<class T>

RefCnt DBus::RefPtr< T >::__cnt

private

Definition at line 206 of file util.h.

Referenced by get(), operator->(), operator=(), and ~RefPtr().

## ◆ __ptr

template<class T>

T* DBus::RefPtr< T >::__ptr

private

Definition at line 205 of file util.h.

Referenced by get(), operator*(), operator->(), operator=(), RefPtr(), and ~RefPtr().

The documentation for this class was generated from the following file:

- util.h